evhtp_kv_t Struct Reference

a generic key/value structure More...

`#include <evhtp.h>`

## Public Member Functions

| TAILQ_ENTRY (evhtp_kv_s) next

## Data Fields

char * | key
char * | val
size_t | klen
size_t | vlen
char | k_heaped
| set to 1 if the key can be free()'d More...
char | v_heaped
| set to 1 if the val can be free()'d More...

## Detailed Description

a generic key/value structure

Definition at line 369 of file evhtp.h.

## Member Function Documentation

evhtp_kv_t::TAILQ_ENTRY | ( | evhtp_kv_s |  | ) |

## Field Documentation

char evhtp_kv_t::k_heaped

set to 1 if the key can be free()'d

Definition at line 376 of file evhtp.h.

char* evhtp_kv_t::key

Definition at line 370 of file evhtp.h.

size_t evhtp_kv_t::klen

Definition at line 373 of file evhtp.h.

char evhtp_kv_t::v_heaped

set to 1 if the val can be free()'d

Definition at line 377 of file evhtp.h.

char* evhtp_kv_t::val

Definition at line 371 of file evhtp.h.

size_t evhtp_kv_t::vlen

Definition at line 374 of file evhtp.h.

The documentation for this struct was generated from the following file:

- evhtp.h